/*
 * Class NATIVE_ARRAY [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2164 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2164 [] = {0xFF01,1551,2163,857,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2164 [] = {0xFF01,2163,857,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2164 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2164 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2164 [] = {0xFF01,2163,857,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2164 [] = {0xFF01,2163,857,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2164 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2164 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2164 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2164 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2164 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2164 [] = {2163,857,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2164 [] = {0xFF01,2163,857,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2164 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2164[] = {
	{EIF_GENERIC(NULL), 1372, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2164), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2164), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2164), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2164), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2164), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2164), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2164), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2164), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2164), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2164), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2164), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2164), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2164), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2164), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2164), -1, 0xFFFFFFFF},
};
void Init2164(void)
{
	IDSC(desc_2164, 0, 2163);
	IDSC(desc_2164 + 1, 1, 2163);
	IDSC(desc_2164 + 32, 674, 2163);
}


#ifdef __cplusplus
}
#endif
